Subject: Re: Wired behaviour with IPv6 over PPP

From: James Chapman <[email-masked]>
Date: Thu, 22 May 2008 10:55:36 +0100

Andrew Morton wrote:
> On Wed, 21 May 2008 14:56:43 +0200 Matthias Cramer <[email-masked]> wrote:
> 
>> Hi All
>>
>> I have a very wired behaviour when doing IPv6 over PPPoE.
>>
>> The situation:
>>
>> A linux box connected to a DSL Modem, on the other side is a Cisco LNS which terminates the PPP session (actually L2TP).
>> I have control over both ends.
>>
>> When I have net.ipv6.conf.all.forwarding set to 0 then the ppp Interface gets a IPv6 address from the Cisco via IP6CP.
>> When I have net.ipv6.conf.all.forwarding set to 1 them the ppp Interface does not get an address, it has only a normal link local address.

What do you mean by normal link local address?

>> When I start the ppp session with forwarding set to 0 I can ping out and there exists a default route to ppp0 , then I switch forwarding to 1
>> the default route disappears and therefore routing does not work any longer.

Did this work with previous kernel versions?

Does pppd log any errors?

>>
>> Is this a known behaviour ?
>>
>> Or am I doing something the wrong way ?
>>
>> Kernel version is 2.6.25

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development